codefine 2016-03-09 10:41:26 7229次浏览 3条回复 0 0 0

按照yiichina指南中的方法安装Yii2, 安装完成后肯定会遇到报错的。

The file or directory to be published does not exist:  /path/vendor/bower/jquery/dist

文档中的命令如下

composer global require "fxp/composer-asset-plugin:~1.0.0"
composer create-project --prefer-dist yiisoft/yii2-app-basic basic

解决方法也很简单 使用Yii官网最新的安装命令

composer global require "fxp/composer-asset-plugin:~1.1.1"
composer create-project --prefer-dist yiisoft/yii2-app-basic basic

希望yiichina更新下文档。 一些初学Yii2的可能会踩到这个坑,在此记录下,希望能帮到大家。

您需要登录后才可以回复。登录 | 立即注册